#

## 1.4.4.14 The ``Name'' Section of a Dictionary Entry

This section introduces the dictionary entry. It is not explicitly labeled. It appears preceded and followed by a horizontal bar.

In large print at left, the defined name appears; if more than one defined name is to be described by the entry, all such names are shown separated by commas.

In somewhat smaller italic print at right is an indication of what kind of dictionary entry this is. Possible values are:

Accessor

  This is an accessor function.

Class

  This is a class.

Condition Type

  This is a subtype of type condition.

Constant Variable

  This is a constant variable.

Declaration

  This is a declaration identifier.

Function

  This is a function.

Local Function

  This is a function that is defined only lexically within the scope of some other macro form.

Local Macro

  This is a macro that is defined only lexically within the scope of some other macro form.

Macro

  This is a macro.

Restart

  This is a restart.

Special Operator

  This is a special operator.

Standard Generic Function

  This is a standard generic function.

Symbol

  This is a symbol that is specially recognized in some particular situation, such as the syntax of a macro.

System Class

  This is like class, but it identifies a class that is potentially a built-in class. (No class is actually required to be a built-in class.)

Type

  This is an atomic type specifier, and depending on information for each particular entry, may subject to form other type specifiers.

Type Specifier

  This is a defined name that is not an atomic type specifier, but that can be used in constructing valid type specifiers.

Variable

  This is a dynamic variable.

Copyright 1996-2005, LispWorks Ltd. All rights reserved.